## org.eclipse.emf.ocl.helper
Class ChoiceType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.emf.ocl.helper.ChoiceType

All Implemented Interfaces:
  Serializable, Enumerator

Deprecated. Use the `ChoiceKind` enumeration with the `OCLHelper`, instead.

    @Deprecated
    public class ChoiceType

extends AbstractEnumerator

An enumeration of OCL syntax completion choice types.

See Also:
  `Choice`, `IOCLHelper.getSyntaxHelp(String)`, Serialized Form

Field Summary
`static ChoiceType` `BEHAVIORAL_FEATURE` Deprecated. Indicates a behavioral feature (e.g., operation) completion choice.
`static ChoiceType` `ENUMERATION_LITERAL` Deprecated. Indicates an enumeration literal completion choice.
`static ChoiceType` `STRUCTURAL_FEATURE` Deprecated. Indicates a structural feature (e.g., attribute) completion choice.
`static ChoiceType` `UNCATEGORIZED` Deprecated. Indicates a semantically uncategorized completion choice.
`static ChoiceType` `VARIABLE` Deprecated. Indicates a variable name completion choice.

Method Summary
`static List` `getValues()` Deprecated. Retrieves the list of values of this enumerated type.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNCATEGORIZED

    public static final ChoiceType UNCATEGORIZED

  Deprecated.
  Indicates a semantically uncategorized completion choice.

### STRUCTURAL_FEATURE

    public static final ChoiceType STRUCTURAL_FEATURE

  Deprecated.
  Indicates a structural feature (e.g., attribute) completion choice.

### BEHAVIORAL_FEATURE

    public static final ChoiceType BEHAVIORAL_FEATURE

  Deprecated.
  Indicates a behavioral feature (e.g., operation) completion choice.

### ENUMERATION_LITERAL

    public static final ChoiceType ENUMERATION_LITERAL

  Deprecated.
  Indicates an enumeration literal completion choice.

### VARIABLE

    public static final ChoiceType VARIABLE

  Deprecated.
  Indicates a variable name completion choice.

Method Detail

### getValues

    public static List getValues()

  Deprecated.
  Retrieves the list of values of this enumerated type.

  Returns:
    The list of values of this enumerated type.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.